ATRUN(8)

NAME
atrun - run jobs queued for later execution

SYNOPSIS
atrun [-l load_avg] [-d]

DESCRIPTION
Atrun runs jobs queued by at(1).

Root's crontab(5) file /etc/crontab has to contain the line
*/5     *       *       *       *       root    /usr/libexec/atrun
so that atrun(8) gets invoked every five minutes.

At every invocation, atrun will start all the jobs in the lowercase queues whose start time has elapsed. In addition, if the load average over the last minute was less than the specified limit then a maximum of one batch job (denoted by the uppercase queues) is started.

OPTIONS

-l load_avg
    Specify a limiting load factor, over which batch jobs should not be run, instead of the compiled in default of 1.5.

-d  Debug; print error messages to standard error instead of using syslog(3).

WARNINGS
For atrun to work, you have to start up a cron(8) daemon.

FILES
/var/at/spool
    Directory containing output spool files
/var/at/jobs
    Directory containing job files

SEE ALSO
at(1), crontab(1), syslog(3), crontab(5), cron(8)

BUGS
The functionality of atrun should be merged into cron(8).